from django.shortcuts import render, redirect
from django.views.generic import View
from django.contrib import messages
from .forms import UserRegisterForm


class RegistrationView(View):

    def get(self, request, *args, **kwargs):
        form = UserRegisterForm()
        return render(request, 'signup.html', {'form': form})

    def post(self, request, *args, **kwargs):
        form = UserRegisterForm(request.POST)
        if form.is_valid():
            email = form.cleaned_data.get('email')
            username = form.cleaned_data.get('username')
            print(email, username)

            messages.success(request, f'Your account has been created! You are now able to log in')
            return redirect('login')

        return render(request, 'signup.html', {'form': form})
